Description

In the last couple of years, the DICOM standard introduced various "Non-Patient Object Storage SOP Classes", e.g. Generic Implant
Template Storage, Implant Assembly Template Storage, Implant Template Group Storage and only recently CT Defined Procedure
Protocol Storage (see PS 3.4 Annex GG). These SOP Classes are currently treated the same as the Standard Patient Objects
Storage SOP Class (see Table B.5-1 in PS 3.4).

It should be checked whether this is correct or whether a difference should be made regarding the network storage and
query/retrieve service (library and tools).

History

#1 - 2017-02-06 17:07 - J6rg Riesmeier
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 10

The first two commits in this regard are 1093ead and a2bf7a6.

Of course, there is more work to be done, e.g. dcmlsaStorageSOPClassUID() currently only checks for patient DICOM objects so that
DcmStorageSCU::checkSOPInstance() reports a warning to the DEBUG logger ("unknown storage SOP class (with standard UID prefix): ..."). Other
tools might even deny to send such non-patient objects, even thought the Storage Service is defined for them.

#2 - 2017-02-08 14:31 - J6rg Riesmeier
- % Done changed from 10 to 60

See Commit d8dcde0 (Allow for sending non-patient DICOM objects).

#3 - 2017-02-08 14:31 - J6rg Riesmeier

- Status changed from New to Assigned

#4 - 2017-04-01 18:14 - J6rg Riesmeier
- Target version changed from 3.6.2 to 3.6.3

Most important changes have already been done. Further evaluation could therefore take place after the upcoming release.

#5 - 2018-02-05 19:36 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#6 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
